%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	C++ library to manipulate vCard standard format
Name:		belcard
Version:	4.4.21
Release:	%mkrel 1
License:	GPLv3+
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://github.com/BelledonneCommunications/belcard/archive/%{version}/%{name}-%{version}.tar.gz
# (wally) from OpenSUSE to install pkgconfig .pc file
Patch0:		belcard-fix-pkgconfig.patch
# (wally) fix cmake config file location
Patch1:         belcard-cmake-config-location.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(belr) >= %{version}
BuildRequires:	pkgconfig(udev)

%description
Belcard is a C++ library to manipulate the vCard standard format.

%package -n	%{libname}
Summary:	C++ library to manipulate vCard standard format
Group:		System/Libraries
Requires:	%{name}-grammars >= %{version}-%{release}

%description -n	%{libname}
Belcard is a C++ library to manipulate the vCard standard format.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%package grammars
Summary:	VCard grammar files for Belcard
Group:          System/Libraries
BuildArch:	noarch

%description grammars
Belcard VCard grammar files.

%prep
%setup -q
sed -i -e 's,\r$,,' CMakeLists.txt
%autopatch -p1

# Fix version
sed -i -e '/BELCARD/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake \
  -DENABLE_STATIC:BOOL=OFF \
  -DENABLE_STRICT:BOOL=OFF \
  -DENABLE_UNIT_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install

find %{buildroot} -name "*.la" -delete

%files
%license LICENSE*
%doc README*
%{_bindir}/belcard-folder
%{_bindir}/belcard-parser
%{_bindir}/belcard-unfolder

%files grammars
%dir %{_datadir}/belr/
%dir %{_datadir}/belr/grammars/
%{_datadir}/belr/grammars/vcard_grammar

%files -n %{libname}
%license LICENSE*
%doc README*
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/?elcard/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Dec 27 2020 wally <wally> 4.4.21-1.mga8
+ Revision: 1664101
- new version 4.4.21

* Sat Dec 19 2020 wally <wally> 4.4.19-1.mga8
+ Revision: 1661345
- new version 4.4.19

* Thu Dec 10 2020 wally <wally> 4.4.13-1.mga8
+ Revision: 1655178
- new version 4.4.13

* Mon Nov 23 2020 wally <wally> 4.4.9-1.mga8
+ Revision: 1648762
- new version 4.4.9

* Sun Oct 25 2020 wally <wally> 4.4.6-1.mga8
+ Revision: 1639237
- new version 4.4.6

* Sat Oct 03 2020 wally <wally> 4.4.0-1.mga8
+ Revision: 1632019
- new version 4.4.0

* Sat Mar 28 2020 wally <wally> 4.3.1-1.mga8
+ Revision: 1561396
- new version 4.3.1

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1510689
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1295407
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 wally <wally> 1.0.2-1.mga7
+ Revision: 1188651
- fix license
- imported package belcard

